=== debian/changelog ===
halibut (1.3-5) unstable; urgency=medium

  * Reupload due to tag2upload webhook glitch.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 12:17:09 +0100

halibut (1.3-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Don't mix host flags and build compiler (closes: #1117014).

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Oct 2025 10:56:11 +0100

halibut (1.3-3) unstable; urgency=medium

  * Apply X-Style: black.
  * Update CMake version spec to 3.7...3.28 (closes: #1112984).

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Sep 2025 01:12:53 +0100

halibut (1.3-2) unstable; urgency=medium

  * Drop dh-exec, no longer needed with debhelper v13.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Dec 2021 23:51:50 +0000

halibut (1.3-1) unstable; urgency=medium

  * New upstream release.
    - Ignore leading whitespace in an input file (closes: #898923).
    - Cleanly exit 1 if errors are detected during the document input phase
      (closes: #898928).
  * Rework packaging somewhat to handle upstream's switch to CMake.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Oct 2021 00:25:12 +0100

halibut (1.2-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.

  [ Colin Watson ]
  * Build-Depends: Drop now-unnecessary versioned constraint on dpkg-dev.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Sep 2021 22:10:33 +0100

halibut (1.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Feb 2021 17:36:31 +0000

halibut (1.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.
  * Backport from upstream:
    - Fix build failure with gcc -fno-common (closes: #957328).

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Apr 2020 17:19:39 +0100

halibut (1.2-2) unstable; urgency=medium

  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 May 2018 14:08:27 +0100
